Bug 170283 - CAN-2005-3181 names_cache memory leak
CAN-2005-3181 names_cache memory leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
public=20051007,impact=important
: Security
: 170526 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 11:12 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-808
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 11:10:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported fix (610 bytes, patch)
2005-10-18 09:05 EDT, David Woodhouse
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-10 11:12:36 EDT
A memory leak with names_cache could lead to an unprivileged DoS in linux
kernel 2.6 if CONFIG_AUDITSYSCALL is enabled.

http://linux.bkbits.net:8080/linux-2.6/cset@4346883bQBeBd26syWTKX2CVC5bDcA
Comment 1 Jason Baron 2005-10-12 12:16:17 EDT
*** Bug 170526 has been marked as a duplicate of this bug. ***
Comment 2 David Woodhouse 2005-10-18 09:05:25 EDT
Created attachment 120120 [details]
Backported fix
Comment 8 Red Hat Bugzilla 2005-10-27 11:10:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-808.html

Note You need to log in before you can comment on or make changes to this bug.